[B][COLOR chartreuse]This file contains ALOT of useful information regarding the functionality of Super Favourites[CR]
PLEASE READ IT!![/COLOR][/B]

[COLOR chartreuse]2.3.3 August 2023[/COLOR]
      - Added imagecache module as part of solution to implement saving icons and fanart during export/import
      - Modified importer module to utilize imagecache
      - Modified default module to utilize imagecache at startup
      - Fixed miscellaneous bugs related to xbmc function calls


[COLOR chartreuse]2.2.6 April 2022[/COLOR]
      - Fix context menu settings bug
      - Fix more issues with activateWindowCommand

[COLOR chartreuse]2.2.5 February 2022[/COLOR]
      - Generic Fix for activateWindowCommand

[COLOR chartreuse]2.2.4 February 2022[/COLOR]
      - Fix URL Playback

[COLOR chartreuse]2.2.3 February 2022[/COLOR]
      - Fix folder lock
      - Fix name colorization

[COLOR chartreuse]2.2.1 February 2022[/COLOR]
      - Minor Bug Fix

[COLOR chartreuse]2.2.0 December 2021[/COLOR]
      - Fixed Play From Here functionality
      - Fixed handling of local folders so that back button now works correctly
      - Added threading decorator to utils

[COLOR chartreuse]2.1.0: 9 October 2021[/COLOR]
      - Added Spanish Translation contributed by populc
      - Fixed issue in player module

[COLOR chartreuse]2.0.11: 26 August 2021[/COLOR]
      - Fixed bug in download module that prevented videos from being downloaded

[COLOR chartreuse]2.0.10: 6 June 2021[/COLOR]
      - Fixed bug that prevented Hebrew language for working

[COLOR chartreuse]2.0.9: 15 May 2021[/COLOR]
      - Fixed bug in Player.def activateWindowCommand(cmd) that was messing up the ability
        to return from child direrctories

[COLOR chartreuse]2.0.8: 14 May 2021[/COLOR]
      - Fixed various incompatibilities with latest version of Matrix involving decode('utf-8')
        that caused crashes.

[COLOR chartreuse]2.0.7: 17 February 2021[/COLOR]
    - Fixed remote folder access via another plugin

[COLOR chartreuse]2.0.5: 12 December 2020[/COLOR]
    - More Fixes for Network Folder Failure to Launch

[COLOR chartreuse]2.0.6: 11 January 2021[/COLOR]
    - Fixed access to local folders and smb folders

[COLOR chartreuse]2.0.2: 9 December 2020[/COLOR]
    - Fixed Choose icon & fanart functions
    - Fixed launch of network folders failure

[COLOR chartreuse]2.0.0: 27 November 2020[/COLOR]
    - Made compatible with Kodi Matrix Version 19.0

[COLOR chartreuse]1.0.60: 4 November 2020[/COLOR]
    - Fixed launch problems when running under Kodi Leia


[COLOR chartreuse]1.0.59: 29th May 2017[/COLOR]
    - 'Now playing' text now defined by SF due to skin variations


[COLOR chartreuse]1.0.58: 14th May 2017[/COLOR]
    - fixes for global menu
    - fixes for adding items from File Manager
    - fixes for Show fanart setting


[COLOR chartreuse]1.0.57: 6th May 2017[/COLOR]
    - numerous fixes for running on Krypton
    - numerous fixes for running in Estuary


[COLOR chartreuse]1.0.56: 19th February 2017[/COLOR]
    - added optional initial path, and include play folder parameters to quicklaunch script
        usage: xbmc.runscript(special://home/addons/plugin.program.super.favourites/quicklaunch.py,folder1/folder2,True)
    - fixed playlist parsing
    - fixed quicklaunch in Krypton
    - fixed launching ExecuteBuiltin types from the quick launch dialog
    - fixed launching playable items added from FileManager
    - fixed launching playable items from widgets
    - various other fixes due to changes in Krypton


[COLOR chartreuse]1.0.55: 9th August 2016[/COLOR]
    - added workaround ImportError exception caused by Python bug


[COLOR chartreuse]1.0.54: 31st July 2016[/COLOR]
    - version bump as minor increase seemed to not work on some systems


[COLOR chartreuse]1.0.53.1: 29th July 2016[/COLOR]
    - improved handling of "troublesome" items that insist on running from within their own addon
    - added quick launch script
          usage: xbmc.runscript(special://home/addons/plugin.program.super.favourites/quicklaunch.py)
          use to launch the Super Favourites quicklaunch menu
    - fixed playing of playlists
    - changed iExplore to explore the folder you are in when you 'OK' the dialog
    - fixed verifying scripts when the script is just a filename
    - fixed launching of various items from quick launch dialog
    - rewrote key programmer logic


[COLOR chartreuse]1.0.52: 18th May 2016[/COLOR]
    - added metadata support via 'Add to Super Favourites' functionality
    - metadata can also be copied and pasted onto Super Favourites and Super Folders 
    - fixed numerical labeling when item name contains square brackets []
    - 'Download using Super Favourites' option can now be added directly to the main Kodi context menu
    - 'Add to Super Favourites' option can now be added directly to the main Kodi context menu
    - added sub-menus for various items to the Edit Super Favourite and Edit Super Folder menus
    - fixed download option when all other options are disabled
    - iRecommend can now be selected within Super Favourites itself (configurable from settings)
    - iSearch can now be selected within Super Favourites itself (configurable from settings)
    - fixed iSearch when keyword contains &
    - fixed launching iSearch externally 
    - fixed meta with '&' eg Lost & Found
    - fixed importing from zip erasing current contents
    - list returns to current position when editing/deleting items
    - makes use of xbmcgui.Dialog().contextmenu in Krypton


[COLOR chartreuse]1.0.51: 9th April 2016[/COLOR]
    - added back Play Folder to quick launch menu
    - added LaunchSFMenu script
          usage: xbmc.runscript(special://home/addons/plugin.program.super.favourites/LaunchSFMenu.py)
          use to launch the Super Favourites global menu from skins, other addons, custom buttons, etc
    - add to Super Favourites option can be configured to remember previous folder
    - fixed locking of Super Folders


[COLOR chartreuse]1.0.50: 15th March 2016[/COLOR]
    - added ability to copy thumbnails, fanart and description from Super Favourites/Folders to other Super Favourites/Folders
        - select Copy Super Favourite from the context menu, then select Edit Super Favourite on a second and use the paste menu item(s)
    - items can now be copied directly from the Super Favourites global menu and pasted into Super Favourites
    - fixed behaviour when download folder is not available


[COLOR chartreuse]1.0.49.1: 11th March 2016[/COLOR]
    - fixed thumbnails in Estouchy skin
    - fixed text on cancel button in quick launch dialog in Estouchy skin
    - fixed importing of Super Favourites
    - added The Movie Databse (TMDb) api key created specifically for Super Favourites


[COLOR chartreuse]1.0.49: 10th March 2016[/COLOR]
    - quick launch items now sorted alphabetically when configured
    - numerical labels can be shown on quick launch menu (see Display settings)
    - quick launch menu now works correctly with shares
    - iSearch no longer prompts for Search string when first selected
    - added Estuary style global menu
    - refactored iSearch behaviour
    - refactored global menu keymap logic to fix disabling and uninstallation issues


[COLOR chartreuse]1.0.48: 15th February 2016[/COLOR]
    - this release will be forever known as [COLOR cyan][B]THE DKPLAYACLUB-DICK-MOVE RELEASE[/B][/COLOR]
    - the Super Favourite menu item on the standard context menu can now be disabled
        - not as easy as you would think!
    - whitelisted addons will not show the global menu regardless of the global menu setting


[COLOR chartreuse]1.0.47.1: 13th February 2016[/COLOR]
    - linked Super Folders that use the 'folder=' format now maintain the navigation history 
    - linked Super Folder are now created using the 'folder=' format (instead of 'path=')
    - fixed 'Super_Favourites_Folder' infolabel when displaying numeric labels
    - locked Super Folders no longer appear on quick launch dialog


[COLOR chartreuse]1.0.47: 12th February 2016[/COLOR]
    - linked Super Folders now maintain the navigation history
    - fixed missing Super Folder names in certain views/skins
    - removed sfOption parameter when manually editing Super Favourites
    - fixed iRecommend functionality when displaying numeric labels


[COLOR chartreuse]1.0.46.1: 3rd February 2016[/COLOR]
    - removed spurious window ID from favourites


[COLOR chartreuse]1.0.46: 2nd February 2016[/COLOR]
    - remove numeric label when adding to Kodi favourites
    - fixed moving favourites up and down when items are hidden
    - fixed images for some iSearch items
    - fixed launching from widgets - tested in Arctic: Zephyr
    - infolabels in favourites are now parsed correctly, eg $ INFO[Skin.String(MovieQuery)]
    - localized strings in favourites are now parsed correctly,  eg $ LOCALIZE[342]


[COLOR chartreuse]1.0.45: 14th January 2016[/COLOR]
    - fixed adding to Kodi favourites
    - fixed iSearch from file manager window
    - fixed global menu behaviour in WindowXML windows
    - added download functionality to global menu 
        - available if Super Favourites *may* be able to download the current playing video


[COLOR chartreuse]1.0.44: 17th December 2015[/COLOR]
    - version bump


[COLOR chartreuse]1.0.43: 16th December 2015[/COLOR]
    - submitted to org
    - fixed renaming folders when only case is changed


[COLOR chartreuse]1.0.42: 17th November 2015[/COLOR]
    - Super Favourites global menu now disabled by default
    - configurable artwork for the following infolabels: 'banner', 'landscape' and 'poster'
    - configurable view content type
    - fixed folder icon to use "special protocol"
    - fixed launching of favourites that have their playmode set to ACTIVATEWINDOW
    - prevent attempting to launch the standard context menu on home screen
    - sort order of folders can now be individually set via the Edit Super Folder option


[COLOR chartreuse]1.0.41: 8th November 2015[/COLOR]
    - added optional numerical label
    - added iExplore functionality - browse anywhere for playable media
    - added play folder functionality, including autoplay via the Edit Super Folder option
    - moved Lock/Unlock Super Folder functionality to the Edit Super Folder menu
    - display name no longer configurable


[COLOR chartreuse]1.0.40.3:[/COLOR]
    - configurable startup message - see display settings


[COLOR chartreuse]1.0.40.2:[/COLOR]
    - automatically refresh after importing from a remote location
    - made metahandler dependency optional
    - add Super Favourites menu to the standard Kodi context menu (Isengard and above only)
    - fixed alphabetical sorting when names contain formatting tags (e.g. ['B'])
    - fix for when Super Folder names contain non-ascii characters


[COLOR chartreuse]1.0.40.1:[/COLOR]
    - re-fix for when addon names contain non-ascii characters (in context menu)
    - fix for context menu from favourites dialog
    - improved logic for when Now playing menu item appears


[COLOR chartreuse]1.0.40:[/COLOR]
    - quickly launch your Super Favourites directly from the Super Favourites global menu
    - workaround SMB browsing 'bug' on Android
    - fixed exporting to a share
    - can now add items directly from the 'My addons' section
    - fixed setting focus when opening settings


[COLOR chartreuse]1.0.39.1:[/COLOR]
    - plugins folder created automatically
    - improved context menu launching from global menu
    - revert context menu when uninstalled
    - fixed renaming Super Folders

[COLOR chartreuse]1.0.39:[/COLOR]
    - new plugin framework for adding external items to global menu - [B]see readme.txt for full details[/B]
    - option to edit name when adding to Super Favourites via the global menu
    - option to clear current Super Favourites when importing	
    - fixed programming of hot-key


[COLOR chartreuse]1.0.38.3:[/COLOR]
    - fix to chooser.py to remove hard-coded property


[COLOR chartreuse]1.0.38.2:[/COLOR]
    - fix for when addon names contain non-ascii characters


[COLOR chartreuse]1.0.38.1:[/COLOR]
    - configurable Super Favourites global menu
    - selected addon settings now available directly from Super Favourites global menu


[COLOR chartreuse]1.0.38:[/COLOR]
    - fixed alignment in Super Favourites global menu in Isengard release version


[COLOR chartreuse]1.0.37.1:[/COLOR]
    - added view images option to Super Favourites global menu


[COLOR chartreuse]1.0.37:[/COLOR]
    - fixed adding to Super Favourites global menu option
    - added 'Copy images and description' to global Super Favourites menu; these can then be pasted via the 'Edit Super Favourite' option within Super Favourites
    - added Google Image Search addon to iSearch; this requires the Google addon by ruuk (in the official Kodi repo under Picture addons)
    - added option to sort Super Favourites alphabetically
    - improved global Super Favourites menu resizing logic
    - added iRecommend feature to global Super Favourites menu
    - added 'Quick Select' option to iRecommend feature - automatically picks first item of IMBD keyword search to populate iRecommend


[COLOR chartreuse]1.0.36:[/COLOR]
    - option to disable 'movie content view' - use if you get rectangular icons in thumbnail view
    - can now add items from File Manager window directly to Super Favourites
    - Option to switch off caching when adding items back to Kodi favourites (particularly useful for 'Search' type favourites)


[COLOR chartreuse]1.0.35:[/COLOR]
    - Added ability to set default view mode; via settings or from the context menu
    - Added descriptions for Super Favourites built-in features


[COLOR chartreuse]1.0.34:[/COLOR]
    - Added description option, this is automatically populated if the override menu is used to add an item to Super Favourites
    - Added more view types (List, Big list, Thumbnail, Poster Wrap, Fanart, Media info, Media info 2, Media info 3)
    - Open Super Favourites from Videos Add-ons menu for most view types


[COLOR chartreuse]1.0.33:[/COLOR]
    - Added ability to add Android Apps directly to Super Favourites via the override menu (finally!)
    - Improved the fix for the adding of playlist Super Favourites back to Kodi favourites (existing items will need to be re-added)


[COLOR chartreuse]1.0.32.1:[/COLOR]
    - Fixed adding of playlist Super Favourites back to Kodi favourites (existing items will need to be re-added)


[COLOR chartreuse]1.0.32:[/COLOR]
    [B][COLOR chartreuse]- THIS IS A BIG DEAL >>> create ExecuteBuiltin favourites via the 'Create new manual entry' item[/COLOR][/B]
    [B][COLOR chartreuse]- see http://kodi.wiki/view/List_of_built-in_functions for full list of functionality now available directly from within Super Favourites[/COLOR][/B]
    - fixed upgrading from version 1.0.25
    - fixed RunScript manual entry handling of extra parameters


[COLOR chartreuse]1.0.31[/COLOR]
    - iSearch can now be performed using IMDB numbers (ttxxxxxxx)
    - copy, cut and paste functionality for quickly moving Super Favourites and Super Folders
    - when pasting a Super Folder you will be given the choice to copy the folder or to create a Super Favourite link to the original Super Folder


[COLOR chartreuse]1.0.30.1[/COLOR]
    - bug fix in folder configuration settings


[COLOR chartreuse]1.0.30[/COLOR]
    - hide folders by adding VISIBLE=false into the folder.cfg file (only manually at the moment)
    - fixed sfile related bugs
    - fixed iRecommend feature


[COLOR chartreuse]1.0.29.1[/COLOR]
    - quick fix to download script


[COLOR chartreuse]v1.0.29[/COLOR]
    - switched over to xbmcvfc - should now allow main SF folder to be located on a share
    - fixed refreshing when adding items to iPlay


[COLOR chartreuse]v1.0.28.1[/COLOR]
    - bug fixes in chooser.py


[COLOR chartreuse]v1.0.28[/COLOR]
    - improved startup time
    - added new iRemember feature - store your iSearch keywords - available from the iSearch context menu
    - added iSearch support for YouTube 5.x.x version
    - pressing menu button whilst displaying the Super Favourites override menu will now open standard menu
    - various ascii decoding issues resolved
    - added option to autostart SF when Kodi starts (configurable via settings - Advanced tab) 
    - improved iSearch/iRecommend logic when adding to Kodi favourites
    - added manual entry of SF items
    - if a file called changelog.txt is found when importing from a zipfile the contents will be displayed when the import is complete


[COLOR chartreuse]v1.0.27.6[/COLOR]
    - removed debug code


[COLOR chartreuse]v1.0.27.5[/COLOR]
    - fixed override menu from PVR window (10601)
    - added fix for Helix override menu text justification


[COLOR chartreuse]v1.0.27.4[/COLOR]
    - added option to show override context menu as a select dialog
    - fixed streaming of live tv addons
    - fixed folder names containing certain characters in chooser dialog, eg +


[COLOR chartreuse]v1.0.27.3[/COLOR]
    - fixed alphabetical sort in OTTV
    - fixed folder names containing certain characters,  eg +
    - fixed playback when parameters contain commas
    - fixed iSearch for some addons
    - locked Super Folders no longer display inherited thumbnail


[COLOR chartreuse]v1.0.27.2[/COLOR]
    - fixed colourise feature


[COLOR chartreuse]v1.0.27.1[/COLOR]
    - quick fix to enable URL browse menu item in iPlay when there are no playlists


[COLOR chartreuse]v1.0.27[/COLOR]
    - fixed iRecommend
    - added Synopsis to iRecommend items (configurable via settings)
    - complete re-write of SF specific options logic (hopefully to future proof adding SF options)
    - new improved Change Playback modes (via Edit Favourites menu) - should stop looping
    - certain items now only appear in root of SF rather than being configurable
    - added iPlay - explore, manage and play your Playlists from within SF


[COLOR chartreuse]v1.0.26[/COLOR]
    - version bump


[COLOR chartreuse]v1.0.25[/COLOR]
    - version bump for submission to org


[COLOR chartreuse]v1.0.24[/COLOR]
    - import from remote now configurable to appear in main list as well as via settings


[COLOR chartreuse]v1.0.23[/COLOR]
    - more fanart fixes


[COLOR chartreuse]v1.0.22[/COLOR]
    - fixed missing fanart


[COLOR chartreuse]v1.0.21[/COLOR]
    - Super Folders are now added to Kodi favourites now use Kodi's "special protocol"
    - unavailable addons can be configured to still be displayed
    - better use of 'return' parameter for ActivateWindow favourites


[COLOR chartreuse]v1.0.20[/COLOR]
    - fix in override menu calling VerifySuperSearch each time


[COLOR chartreuse]v1.0.19[/COLOR]
    - new iSearch items are now imported rather than overwriting
    - import and export functionality - under the Advanced settings tab
    - fixed Add to Kodi Favourites
    - fixed bug where active window was sometimes erroneously reported as 10000 (Home window)
    - added setting to show unavailable addons


[COLOR chartreuse]v1.0.18[/COLOR]
    - iSearch can now be added to Kodi favourites
    - updated iSearch items with fanart
    - configurable UI name, can be XBMC or Kodi
    - fixed display of changelog on Android and RPi
    - several bug fixes when adding via override menu
    - fixed playback of files
    - keymaps removed when addon is uninstalled


[COLOR chartreuse]v1.0.17[/COLOR]
    - stopped changelog appearing inappropriately
    - added configurable default fanart


[COLOR chartreuse]v1.0.16[/COLOR]
   - programmable hotkey to launch Super Favourites
   - thumbnails and fanart path now use Kodi's "special protocol" - should simplify copying to other setups
   - Super Folders sorted alphabetically
   - added chooser.py script to allow skinners to populate skin settings with Super Favourites shortcuts - see readme
   - improved fanart handling


[COLOR chartreuse]v1.0.15[/COLOR]
   - stopped override context menu creation on certain builds of Kodi crashing
   - changed override context menu to only appear where it makes sense
   - improved installed addon detection
   - added preliminary fanart support, currently only on items added via menu override


[COLOR chartreuse]v1.0.14[/COLOR]
   - fixed 2nd bug in context menu keymap creation


[COLOR chartreuse]v1.0.13[/COLOR]
   - fixed bug in context menu keymap creation


[COLOR chartreuse]v1.0.12[/COLOR]
   - tidy up iSearch keyword when populated via override menu (configurable)
   - add iSearch addon to override menu, always shows the first one
   - iSearch items can now be reordered, renamed, and thumbs changed
   - folders can inherit image from their first favourite (configurable) 
   - added Play Using Super Favourites to override menu for YouTube videos


[COLOR chartreuse]v1.0.11[/COLOR]
   - interim release for testing


[COLOR chartreuse]v1.0.10:[/COLOR]
   - Added trailer playback to iRecommend
   - iRecommend metadata configurable via settings
   - Individual addon settings now available via context menu
   - Fixed bug when cancelling thumbnail selection


[COLOR chartreuse]v1.0.9:[/COLOR]
   - Added iRecommend - IMDB based recommendation feature (available from iSearch menu)
   - Removed skin specific icons
   - Renamed Super Search to iSearch to avoid confusion with similar feature in other addons
   - Allow ActivateWindow favourites without a plugin parameter (currently can only be entered manually)
         eg <favourite name="Filemanager">ActivateWindow(filemanager)</favourite> 
   - Added list item property to identify current folder within a skin $INFO[ListItem.Property(Super_Favourites_Folder)]
   - Locked folders now need unlocking before editing/removing
   - Colourize favourites and folders


[COLOR chartreuse]v1.0.8:[/COLOR]
   - version bump for submission to org


[COLOR chartreuse]v1.0.7:[/COLOR]
   - Changed editing of items to use Select Dialog due to context menu item being full (restricted to 10 items by Kodi)
   - Choose Thumbnail for 'Explore Kodi Favourites' item
   - Password protect Super Folders - including configurable caching of passwords
   - Automatically play m3u playlists - context menu or configurable via settings


[COLOR chartreuse]v1.0.6:[/COLOR]
  - Added Kodi profiles support (importing of profiles into Super Favourites not yet supported)
  - Added Globalsearch to Super Search - uses a special launcher to bypass GlobalSearch keyboard entry
  - Changed handling of non-ascii characters
  - Super Search now callable from anywhere in Kodi, see forum for details
  - Bug fixes


[COLOR chartreuse]v1.0.5:[/COLOR]
  - Super Search - configurable multi-addon search functionality
  - Configurable root folder
  - Pseudo TV Live compatibility


[COLOR chartreuse]v1.0.4:[/COLOR]
  - Fixed context menu override when addon is disabled
  - Better identification of filetype when using Files.GetDirectory json request


[COLOR chartreuse]v1.0.3:[/COLOR]
  - Improved handling of non-ascii characters
  - Add back to Kodi favourites for both folders and favourites


[COLOR chartreuse]v1.0.2:[/COLOR]
  - Beta release for testing / feedback
  - Override standard context menu, allows direct Adding to Super Favourites from any addon
  - Added Move Up / Move Down
  - Super Favourites now launch properly from within Super Favourites
  - Choose Thumbnails for Super Favourites and Super Folders (including built in icons when using Confluence or ReTouched)
  - Coloured text works correctly in favourite names


[COLOR chartreuse]v1.0.1:[/COLOR]
  - Bug fixes


[COLOR chartreuse]v1.0.0:[/COLOR]
  - Initial release
